#!/usr/bin/python
# -*- coding: utf-8 -*-
# 
#   FILE: Elect2016FollowerObj.py
#   DATE: January, 2016
#   Author: David W. McDonald
#
#   An object that mirrors the follower table in the database 
#
#   Copyright by Author. All rights reserved. Not for reuse without
#   express permissions.
#
#
from hcde.data.db.base.followerObj import followerObj

class Elect2016FollowerObj(followerObj):
    def __init__(self):
        followerObj.__init__(self)
        self.collect_id = -1


    def to_dict(self):
        rec = {}
        if( self.rid > 0 ):
            rec['rid'] = self.rid
        rec['user'] = self.user
        rec['follower'] = self.follower
        rec['user_id'] = self.user_id
        rec['follower_id'] = self.follower_id
        rec['user_local_id'] = self.user_local_id        
        rec['follower_local_id'] = self.follower_local_id

        rec['collect_id'] = self.collect_id
        return rec


    def __repr__(self):
        result = "Elect2016FollowerObj():\n\t"
        result = result+"rid: %s\n\t"%(str(self.rid))
        result = result+"user: "+self.user.encode('utf-8')+"\n\t"
        result = result+"follower: "+self.follower.encode('utf-8')+"\n\t"
        result = result+"user_id: %s\n\t"%(str(self.user_id))
        result = result+"follower_id: %s\n\t"%(str(self.follower_id))
        result = result+"collect_id: %s"%(str(self.collect_id))
        return result
