#!/usr/bin/python
# -*- coding: utf-8 -*-
# 
#   FILE: Elect2016UserMetaObj.py
#   DATE: January, 2016
#   Author: David W. McDonald
#
#   An object that mirrors the user meta data table in the database 
#
#   Copyright by Author. All rights reserved. Not for reuse without
#   express permissions.
#
#
from hcde.data.db.base.userMetaObj import userMetaObj

class Elect2016UserMetaObj(userMetaObj):
    def __init__(self):
        userMetaObj.__init__(self)
        self.collect_id = -1


    def to_dict(self):
        rec = {}
        if( self.rid > 0 ):
            rec['rid'] = self.rid
        rec['user_name'] = self.user_name
        rec['screen_name'] = self.screen_name
        rec['user_id'] = self.user_id
        rec['friend_count'] = self.friend_count
        rec['follower_count'] = self.follower_count
        rec['profile_collect_dt'] = self.profile_collect_dt
        rec['friend_collect_dt'] = self.friend_collect_dt
        rec['friend_collect_resp'] = self.friend_collect_resp
        rec['follower_collect_dt'] = self.follower_collect_dt
        rec['follower_collect_resp'] = self.follower_collect_resp

        rec['collect_id'] = self.collect_id
        return rec

    def __repr__(self):
        result = "Elect2016UserMetaObj():\n\t"
        result = result+"rid: %s\n\t"%(str(self.rid))
        result = result+"user_name: %s\n\t"%(str(self.user_name))
        result = result+"screen_name: "+self.screen_name.encode('utf-8')+"\n\t"
        result = result+"user_id: %s\n\t"%(str(self.user_id))
        result = result+"friend_count: %d\n\t"%(self.friend_count)
        result = result+"friend_collect_dt: %s\n\t"%(str(self.friend_collect_dt))
        result = result+"friend_collect_resp: %s\n\t"%(self.friend_collect_resp)
        result = result+"follower_count: %d\n\t"%(self.follower_count)
        result = result+"friend_collect_dt: %s\n\t"%(str(self.follower_collect_dt))
        result = result+"follower_collect_resp: %s\n\t"%(self.follower_collect_resp)
        result = result+"collect_id: %s"%(self.collect_id)
        return result
